EDIT - bug #7034

4 busy database connections after application start

10/25/2017 04:06 PM - Andreas Kohlbecker

Status: New
Priority: New
Assignee: Andreas Kohlbecker

Category: cdmlib-remote

Target version: Unassigned CDM tickets

Severity: normal

Start date:

Due date:

% Done: 0%
Estimated time: 0:00 hour

Found in Version:

Description

After a cdmlib-remote instance has started the c3p0 connections pool holds 4 open connections which are reported as being busy.

During the application start these connections are apparently not being closed correcty

Current state: 3 open connections

Associated revisions

Revision a7aba938 - 10/25/2017 04:07 PM - Andreas Kohlbecker

ref #7034 closing open database connections in DataSourceConfigurer

History

#1 - 10/25/2017 04:08 PM - Andreas Kohlbecker

the commit a7aba938 reduces the amount of open connection by one

#2 - 10/25/2017 04:09 PM - Andreas Kohlbecker
- Description updated

#3 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#4 - 12/05/2017 02:13 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#5-01/31/2018 12:12 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#6 - 02/15/2018 03:00 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#7 - 05/16/2018 11:20 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#8 - 06/28/2018 12:19 AM - Andreas Mdiller

- Target version changed from Release 5.1 to Release 5.2

#9 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#10 - 09/11/2018 05:05 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#11 - 10/23/2018 01:52 PM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/a7aba938669190c0b625ee555ab28a4e2cba6f4f

- Target version changed from Release 5.4 to Release 5.5

#12 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#13 - 02/22/2019 05:16 PM - Andreas Kohlbecker
- Tags set to performance, system-resources

- Target version changed from Release 5.6 to Reviewed Next Major Release

#14 - 02/22/2019 05:16 PM - Andreas Kohlbecker

- Tags changed from performance, system-resources to system-resources

#15 - 02/22/2019 05:17 PM - Andreas Kohlbecker

- Target version changed from Reviewed Next Major Release to Unassigned CDM tickets
